<?php

require_once dirname(__FILE__).'/../lib/filmGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/filmGeneratorHelper.class.php';

/**
 * film actions.
 *
 * @package    thd
 * @subpackage film
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class filmActions extends autoFilmActions
{
	public function executeListReindex(sfWebRequest $request) {
		sfContext::getInstance()->getLogger()->info("FilmAction : listReindex");
		
		//empty solr
		//empty sonyengine
		
		// get all films
		// add film to film array for sonyengine
		// for each film get all segments
		// get all tags
		// add to film array for sony engine
		// solr index film

		// add all films to sonyengine
		// add all tags to sony engine
		
		$this->redirect("@thd_film_film");
	}
}
